//(c) 2016 Dmitry Grinberg   http://dmitry.gr   me@dmitry.gr   see LICENSE.txt

#ifndef _FLASH_H_
#define _FLASH_H_

#include <stdbool.h>
#include <stdint.h>

void flInit(void);
bool flCheckCompatible(void);
bool flErase(uint32_t addr);
bool flWrite(uint32_t addr, const uint8_t *src, uint16_t sz);
bool flRead(uint32_t addr, uint8_t *dst, uint16_t sz);
void flGetGeometryInfo(uint32_t *flSzP, uint32_t *erzBlkSzP);

#endif
