//(c) 2016 Dmitry Grinberg   http://dmitry.gr   me@dmitry.gr   see LICENSE.txt

#include "hw.h"


/*
	led_act:	E7
	VPP_en:		E0
	
	DQ0..7		A0..A7
	A0..A7		F0..F7
	A8..A15		D0..D7
	A16..A21	C0..C5
	RY			E5
	OE			E4
	WE			E2
	nCE			E6
*/

void extHwInit(void)
{
	DDRC |= 0x3F;					//A16..21
	DDRD = 0xFF;					//A8..A15
	DDRF = 0xFF;					//A0..A7
	DDRE = (DDRE &~ 0x20) | 0xD5;	//RY is input, VPP_en, WE, OE, nCE, led_act outputs
	
	extHwDataPinsMode(false);		//data pins as input by default
	extHwLed(false);
}


